class CSPDarknet(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  out_features : Tuple[str, str, str]
  stem : __torch__.yolox.models.network_blocks.Focus
  dark2 : __torch__.torch.nn.modules.container.___torch_mangle_11.Sequential
  dark3 : __torch__.torch.nn.modules.container.___torch_mangle_24.Sequential
  dark4 : __torch__.torch.nn.modules.container.___torch_mangle_37.Sequential
  dark5 : __torch__.torch.nn.modules.container.___torch_mangle_54.Sequential
  def forward(self: __torch__.yolox.models.darknet.CSPDarknet,
    x: Tensor) -> Dict[str, Tensor]:
    outputs = annotate(Dict[str, Tensor], {})
    stem = self.stem
    x0 = (stem).forward(x, )
    torch._set_item(outputs, "stem", x0)
    dark2 = self.dark2
    x1 = (dark2).forward(x0, )
    torch._set_item(outputs, "dark2", x1)
    dark3 = self.dark3
    x2 = (dark3).forward(x1, )
    torch._set_item(outputs, "dark3", x2)
    dark4 = self.dark4
    x3 = (dark4).forward(x2, )
    torch._set_item(outputs, "dark4", x3)
    dark5 = self.dark5
    x4 = (dark5).forward(x3, )
    torch._set_item(outputs, "dark5", x4)
    _0 = annotate(Dict[str, Tensor], {})
    _1 = torch.items(outputs)
    for _2 in range(torch.len(_1)):
      k, v, = _1[_2]
      torch._set_item(_0, k, v)
    return _0
