class Bottleneck(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  use_add : bool
  conv1 : __torch__.yolox.models.network_blocks.___torch_mangle_18.BaseConv
  conv2 : __torch__.yolox.models.network_blocks.___torch_mangle_33.BaseConv
  def forward(self: __torch__.yolox.models.network_blocks.___torch_mangle_34.Bottleneck,
    x: Tensor) -> Tensor:
    conv2 = self.conv2
    conv1 = self.conv1
    y = (conv2).forward((conv1).forward(x, ), )
    use_add = self.use_add
    if use_add:
      y0 = torch.add(y, x)
    else:
      y0 = y
    return y0
