class YOLOPAFPN(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  in_features : Tuple[str, str, str]
  in_channels : List[int]
  backbone : __torch__.yolox.models.darknet.CSPDarknet
  upsample : __torch__.torch.nn.modules.upsampling.Upsample
  lateral_conv0 : __torch__.yolox.models.network_blocks.___torch_mangle_42.BaseConv
  C3_p4 : __torch__.yolox.models.network_blocks.___torch_mangle_58.CSPLayer
  reduce_conv1 : __torch__.yolox.models.network_blocks.___torch_mangle_29.BaseConv
  C3_p3 : __torch__.yolox.models.network_blocks.___torch_mangle_62.CSPLayer
  bu_conv2 : __torch__.yolox.models.network_blocks.___torch_mangle_64.BaseConv
  C3_n3 : __torch__.yolox.models.network_blocks.___torch_mangle_65.CSPLayer
  bu_conv1 : __torch__.yolox.models.network_blocks.___torch_mangle_67.BaseConv
  C3_n4 : __torch__.yolox.models.network_blocks.___torch_mangle_53.CSPLayer
  def forward(self: __torch__.yolox.models.yolo_pafpn.YOLOPAFPN,
    input: Tensor) -> Tuple[Tensor, Tensor, Tensor]:
    backbone = self.backbone
    out_features = (backbone).forward(input, )
    features = annotate(List[Tensor], [])
    in_features = self.in_features
    f, f0, f1, = in_features
    _0 = torch.append(features, out_features[f])
    _1 = torch.append(features, out_features[f0])
    _2 = torch.append(features, out_features[f1])
    x2 = features[0]
    x1 = features[1]
    x0 = features[2]
    lateral_conv0 = self.lateral_conv0
    fpn_out0 = (lateral_conv0).forward(x0, )
    upsample = self.upsample
    f_out0 = (upsample).forward(fpn_out0, )
    f_out00 = torch.cat([f_out0, x1], 1)
    C3_p4 = self.C3_p4
    f_out01 = (C3_p4).forward(f_out00, )
    reduce_conv1 = self.reduce_conv1
    fpn_out1 = (reduce_conv1).forward(f_out01, )
    upsample0 = self.upsample
    f_out1 = (upsample0).forward(fpn_out1, )
    f_out10 = torch.cat([f_out1, x2], 1)
    C3_p3 = self.C3_p3
    pan_out2 = (C3_p3).forward(f_out10, )
    bu_conv2 = self.bu_conv2
    p_out1 = (bu_conv2).forward(pan_out2, )
    p_out10 = torch.cat([p_out1, fpn_out1], 1)
    C3_n3 = self.C3_n3
    pan_out1 = (C3_n3).forward(p_out10, )
    bu_conv1 = self.bu_conv1
    p_out0 = (bu_conv1).forward(pan_out1, )
    p_out00 = torch.cat([p_out0, fpn_out0], 1)
    C3_n4 = self.C3_n4
    pan_out0 = (C3_n4).forward(p_out00, )
    return (pan_out2, pan_out1, pan_out0)
