def postprocess(prediction: Tensor,
    num_classes: int,
    conf_thre: float=0.69999999999999996,
    nms_thre: float=0.45000000000000001,
    class_agnostic: bool=False) -> List[Tensor]:
  _0 = __torch__.torchvision.ops.boxes.batched_nms
  _1 = uninitialized(bool)
  box_corner = torch.new_zeros(prediction, torch.size(prediction))
  _2 = torch.slice(torch.slice(prediction), 1)
  _3 = torch.select(_2, 2, 0)
  _4 = torch.slice(torch.slice(prediction), 1)
  _5 = torch.sub(_3, torch.div(torch.select(_4, 2, 2), 2))
  _6 = torch.slice(torch.slice(box_corner), 1)
  _7 = torch.copy_(torch.select(_6, 2, 0), _5)
  _8 = torch.slice(torch.slice(prediction), 1)
  _9 = torch.select(_8, 2, 1)
  _10 = torch.slice(torch.slice(prediction), 1)
  _11 = torch.sub(_9, torch.div(torch.select(_10, 2, 3), 2))
  _12 = torch.slice(torch.slice(box_corner), 1)
  _13 = torch.copy_(torch.select(_12, 2, 1), _11)
  _14 = torch.slice(torch.slice(prediction), 1)
  _15 = torch.select(_14, 2, 0)
  _16 = torch.slice(torch.slice(prediction), 1)
  _17 = torch.add(_15, torch.div(torch.select(_16, 2, 2), 2))
  _18 = torch.slice(torch.slice(box_corner), 1)
  _19 = torch.copy_(torch.select(_18, 2, 2), _17)
  _20 = torch.slice(torch.slice(prediction), 1)
  _21 = torch.select(_20, 2, 1)
  _22 = torch.slice(torch.slice(prediction), 1)
  _23 = torch.add(_21, torch.div(torch.select(_22, 2, 3), 2))
  _24 = torch.slice(torch.slice(box_corner), 1)
  _25 = torch.copy_(torch.select(_24, 2, 3), _23)
  _26 = torch.slice(torch.slice(box_corner), 1)
  _27 = torch.slice(_26, 2, None, 4)
  _28 = torch.slice(torch.slice(prediction), 1)
  _29 = torch.copy_(torch.slice(_28, 2, None, 4), _27)
  output = annotate(List[Tensor], [])
  for _30 in range(torch.len(prediction)):
    _31 = torch.append(output, torch.zeros([0]))
  _32 = [9223372036854775807, torch.len(prediction)]
  _33 = ops.prim.min(_32)
  _34 = 0
  _35 = torch.gt(_33, 0)
  while _35:
    image_pred = torch.select(prediction, 0, _34)
    _36 = torch.__not__(bool(torch.size(image_pred, 0)))
    if _36:
      _37, _38, _39 = True, True, _1
    else:
      _40 = torch.slice(torch.slice(image_pred), 1, 5, torch.add(5, num_classes))
      class_conf, class_pred = torch.max(_40, 1, True)
      _41 = torch.select(torch.slice(image_pred), 1, 4)
      _42 = torch.mul(_41, torch.squeeze(class_conf))
      conf_mask = torch.squeeze(torch.ge(_42, conf_thre))
      _43 = torch.slice(torch.slice(image_pred), 1, None, 5)
      _44 = [_43, class_conf, torch.to(class_pred, 6)]
      detections = torch.cat(_44, 1)
      _45 = annotate(List[Optional[Tensor]], [conf_mask])
      detections0 = torch.index(detections, _45)
      _46 = torch.__not__(bool(torch.size(detections0, 0)))
      if _46:
        _47, _48, _49 = True, True, _1
      else:
        if class_agnostic:
          _50 = torch.slice(torch.slice(detections0), 1, None, 4)
          _51 = torch.select(torch.slice(detections0), 1, 4)
          _52 = torch.select(torch.slice(detections0), 1, 5)
          nms_out_index0 = __torch__.torchvision.ops.boxes.nms(_50, torch.mul(_51, _52), nms_thre, )
          nms_out_index = nms_out_index0
        else:
          _53 = torch.slice(torch.slice(detections0), 1, None, 4)
          _54 = torch.select(torch.slice(detections0), 1, 4)
          _55 = torch.select(torch.slice(detections0), 1, 5)
          _56 = torch.mul(_54, _55)
          _57 = torch.select(torch.slice(detections0), 1, 6)
          nms_out_index = _0(_53, _56, _57, nms_thre, )
        _58 = annotate(List[Optional[Tensor]], [nms_out_index])
        detections1 = torch.index(detections0, _58)
        _59 = torch.eq((torch.size(output[_34]))[0], 0)
        if _59:
          _60 = torch._set_item(output, _34, detections1)
        else:
          _61 = torch.cat([output[_34], detections1])
          _62 = torch._set_item(output, _34, _61)
        _47, _48, _49 = False, _1, True
      _37, _38, _39 = _47, _48, _49
    if _37:
      _63 = _38
    else:
      _63 = _39
    _64 = torch.add(_34, 1)
    _65 = torch.__and__(torch.lt(_64, _33), _63)
    _35, _34 = _65, _64
  return output
def bboxes_iou(bboxes_a: Tensor,
    bboxes_b: Tensor,
    xyxy: bool=True) -> Tensor:
  _66 = torch.ne((torch.size(bboxes_a))[1], 4)
  if _66:
    _67 = True
  else:
    _68 = torch.ne((torch.size(bboxes_b))[1], 4)
    _67 = _68
  if _67:
    ops.prim.RaiseException("")
  else:
    pass
  if xyxy:
    _69 = torch.unsqueeze(torch.slice(bboxes_a), 1)
    _70 = torch.slice(_69, 2, None, 2)
    _71 = torch.slice(torch.slice(bboxes_b), 1, None, 2)
    tl0 = torch.max(_70, _71)
    _72 = torch.unsqueeze(torch.slice(bboxes_a), 1)
    _73 = torch.slice(_72, 2, 2)
    _74 = torch.slice(torch.slice(bboxes_b), 1, 2)
    br0 = torch.min(_73, _74)
    _75 = torch.slice(torch.slice(bboxes_a), 1, 2)
    _76 = torch.slice(torch.slice(bboxes_a), 1, None, 2)
    area_a0 = torch.prod(torch.sub(_75, _76), 1)
    _77 = torch.slice(torch.slice(bboxes_b), 1, 2)
    _78 = torch.slice(torch.slice(bboxes_b), 1, None, 2)
    tl, br, area_a, area_b = tl0, br0, area_a0, torch.prod(torch.sub(_77, _78), 1)
  else:
    _79 = torch.unsqueeze(torch.slice(bboxes_a), 1)
    _80 = torch.slice(_79, 2, None, 2)
    _81 = torch.unsqueeze(torch.slice(bboxes_a), 1)
    _82 = torch.div(torch.slice(_81, 2, 2), 2)
    _83 = torch.sub(_80, _82)
    _84 = torch.slice(torch.slice(bboxes_b), 1, None, 2)
    _85 = torch.slice(torch.slice(bboxes_b), 1, 2)
    tl1 = torch.max(_83, torch.sub(_84, torch.div(_85, 2)))
    _86 = torch.unsqueeze(torch.slice(bboxes_a), 1)
    _87 = torch.slice(_86, 2, None, 2)
    _88 = torch.unsqueeze(torch.slice(bboxes_a), 1)
    _89 = torch.div(torch.slice(_88, 2, 2), 2)
    _90 = torch.add(_87, _89)
    _91 = torch.slice(torch.slice(bboxes_b), 1, None, 2)
    _92 = torch.slice(torch.slice(bboxes_b), 1, 2)
    br1 = torch.min(_90, torch.add(_91, torch.div(_92, 2)))
    _93 = torch.slice(torch.slice(bboxes_a), 1, 2)
    area_a1 = torch.prod(_93, 1)
    _94 = torch.slice(torch.slice(bboxes_b), 1, 2)
    tl, br, area_a, area_b = tl1, br1, area_a1, torch.prod(_94, 1)
  _95 = torch.to(torch.lt(tl, br), torch.to(tl))
  en = torch.prod(_95, 2)
  area_i = torch.mul(torch.prod(torch.sub(br, tl), 2), en)
  _96 = torch.unsqueeze(torch.slice(area_a), 1)
  _97 = torch.sub(torch.add(_96, area_b), area_i)
  return torch.div(area_i, _97)
